#901 Error with simplelist in XSL FO/lists.xsl (1.72.0)

closed-fixed
nobody
XSL (1066)
5
2007-07-06
2007-05-02
Ken Morse
No

I'm seeing a problem where a vertical simplelist doesn't appear to be formatted correctly for FOP 0.93:

<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE book PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd">
<book>
<chapter id="ch1">
<title>simplelist</title>
<simplelist type="vert" columns="1">
<member>List item 1</member>
<member>List item 2</member>
<member>List item 3</member>
</simplelist>
</chapter>
</book>

I run the commands:
xsltproc --stringparam fop1.extensions 1 --stringparam hyphenate false --output testsimplelist.fo xsl\1.72.0\fo\docbook.xsl testsimplelist.xml

tools\fop\fop.bat -fo testsimplelist.fo -pdf testsimplelist.pdf

and get the output:
May 2, 2007 9:05:10 AM org.apache.fop.fo.FONode attributeWarning
WARNING: Warning(2/48408): fo:table, table-layout="auto" is currently not supported by FOP
May 2, 2007 9:05:10 AM org.apache.fop.fo.PropertyList convertAttributeToProperty
SEVERE: Ignoring property: column-width="proportional-column-width(1)"
(file:///C:/DocBook/testsimplelist.fo:2:48408:
proportional-column-width() function may only be used when fo:table has table-layout="fixed".; property:'column-width')

I was able to fix this by copying the appropriate portion of the template from the horizontal simplelist. I've attached the updated file with the changes.

Discussion

  • Ken Morse
    Ken Morse
    2007-05-02

    Corrected fo/lists.xsl

     
    Attachments
  • Logged In: YES
    user_id=582041
    Originator: NO

    A fix for this issue has been added to the current codebase.
    Please test the fix with the latest snapshot from:

    http://docbook.sourceforge.net/snapshots/

     
    • status: open --> pending-fixed
     
  • Ken Morse
    Ken Morse
    2007-07-06

    Logged In: YES
    user_id=1783914
    Originator: YES

    I tested against the 06-Jul-2007 snapshot and this issue does appear to be fixed. I used both FOP 0.93 and XEP 4.10 for the test. For input, I used the same XML documented in this case.

     
  • Ken Morse
    Ken Morse
    2007-07-06

    • status: pending-fixed --> open-fixed
     
    • status: open-fixed --> closed-fixed